Package org.apache.sling.distribution.queue

## Class DistributionQueueItemStatus

- java.lang.Object
- - org.apache.sling.distribution.queue.DistributionQueueItemStatus

    public final class DistributionQueueItemStatus
    extends Object

the current status of a certain item in a `DistributionQueue`

### Constructor Summary

Constructors
`DistributionQueueItemStatus​(Calendar entered, DistributionQueueItemState state, int attempts, String queueName)`
`DistributionQueueItemStatus​(Calendar entered, DistributionQueueItemState state, int attempts, String queueName, Throwable error)`
`DistributionQueueItemStatus​(DistributionQueueItemState state, String queueName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAttempts()`
`Calendar` `getEntered()`
`Throwable` `getError()`
`DistributionQueueItemState` `getItemState()`
`String` `getQueueName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DistributionQueueItemStatus

    public DistributionQueueItemStatus​(Calendar entered,
                                       DistributionQueueItemState state,
                                       int attempts,
                                       String queueName,
                                       Throwable error)

#### DistributionQueueItemStatus

    public DistributionQueueItemStatus​(Calendar entered,
                                       DistributionQueueItemState state,
                                       int attempts,
                                       String queueName)

#### DistributionQueueItemStatus

    public DistributionQueueItemStatus​(DistributionQueueItemState state,
                                       String queueName)

### Method Detail

#### getAttempts

    public int getAttempts()

#### getItemState

    public DistributionQueueItemState getItemState()

#### getQueueName

    public String getQueueName()

#### getError

    public Throwable getError()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getEntered

    public Calendar getEntered()